Spaces
Get analytics for a space
GET
/
api
/
v1
/
spaces
/
{id}
/
analytics
Get analytics for a space
curl --request GET \
--url https://api.linebundle.com/api/v1/spaces/{id}/analyticsimport requests
url = "https://api.linebundle.com/api/v1/spaces/{id}/analytics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/spaces/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/spaces/{id}/analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/spaces/{id}/analytics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/spaces/{id}/analytics")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/spaces/{id}/analytics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"attendance_trend": [
{
"attended": 123,
"date": "2023-11-07T05:31:56Z",
"event_id": 123,
"label": "<string>",
"rate": 123,
"rsvps": 123
}
],
"attention_needed": [
{
"event_id": 123,
"reason": "<string>",
"rsvps": 123,
"threshold": 123,
"title": "<string>",
"start_at": "2023-11-07T05:31:56Z"
}
],
"events_performance": [
{
"attended": 123,
"event_id": 123,
"needs_care": true,
"rate": 123,
"rsvps": 123,
"status": "<string>",
"title": "<string>",
"upcoming": true,
"end_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z"
}
],
"member_growth": [
{
"date": "2023-11-07T05:31:56Z",
"label": "<string>",
"members": 123
}
],
"summary": {
"active_members": 123,
"avg_attendance_rate": 123,
"events_published": 123,
"total_rsvps": 123,
"upcoming_events": 123
},
"top_by_rsvp": [
{
"attended": 123,
"event_id": 123,
"needs_care": true,
"rate": 123,
"rsvps": 123,
"status": "<string>",
"title": "<string>",
"upcoming": true,
"end_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z"
}
],
"$schema": "https://api.linebundle.com/schemas/SpaceAnalyticsResult.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
Space ID
Response
OK
RSVP and attendance trend by event
Show child attributes
Show child attributes
Events needing organiser attention
Show child attributes
Show child attributes
Linked event performance rows
Show child attributes
Show child attributes
Cumulative member growth over recent weekly buckets
Show child attributes
Show child attributes
Headline space analytics
Show child attributes
Show child attributes
Top linked events by RSVP response count
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"https://api.linebundle.com/schemas/SpaceAnalyticsResult.json"
Last modified on June 11, 2026
⌘I
Get analytics for a space
curl --request GET \
--url https://api.linebundle.com/api/v1/spaces/{id}/analyticsimport requests
url = "https://api.linebundle.com/api/v1/spaces/{id}/analytics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/spaces/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/spaces/{id}/analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/spaces/{id}/analytics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/spaces/{id}/analytics")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/spaces/{id}/analytics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"attendance_trend": [
{
"attended": 123,
"date": "2023-11-07T05:31:56Z",
"event_id": 123,
"label": "<string>",
"rate": 123,
"rsvps": 123
}
],
"attention_needed": [
{
"event_id": 123,
"reason": "<string>",
"rsvps": 123,
"threshold": 123,
"title": "<string>",
"start_at": "2023-11-07T05:31:56Z"
}
],
"events_performance": [
{
"attended": 123,
"event_id": 123,
"needs_care": true,
"rate": 123,
"rsvps": 123,
"status": "<string>",
"title": "<string>",
"upcoming": true,
"end_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z"
}
],
"member_growth": [
{
"date": "2023-11-07T05:31:56Z",
"label": "<string>",
"members": 123
}
],
"summary": {
"active_members": 123,
"avg_attendance_rate": 123,
"events_published": 123,
"total_rsvps": 123,
"upcoming_events": 123
},
"top_by_rsvp": [
{
"attended": 123,
"event_id": 123,
"needs_care": true,
"rate": 123,
"rsvps": 123,
"status": "<string>",
"title": "<string>",
"upcoming": true,
"end_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z"
}
],
"$schema": "https://api.linebundle.com/schemas/SpaceAnalyticsResult.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}